
@font-face {
        font-family: 'zrnic-rg';
        src: url(zrnic-rg.ttf);
}

@font-face {
        font-family: 'Cuprum';
        src: url(Cuprum-Regular.ttf);
}

@font-face {
        font-family: 'Oswald';
        src: url(Oswald-Regular.ttf);
}

@font-face {
        font-family: 'Oswald-Stencil';
        src: url(Oswald-Stencil.ttf);
}


@font-face {
  font-family: 'Cuprum';
  src: url('Cuprum-Regular.eot'); /* IE9 Compat Modes */
  src: url('Cuprum-Regular.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('Cuprum-Regular.woff2') format('woff2'), /* Super Modern Browsers */
       url('Cuprum-Regular.woff') format('woff'), /* Pretty Modern Browsers */
       url('Cuprum-Regular.ttf')  format('truetype'), /* Safari, Android, iOS */
       url('Cuprum-Regular.svg#svgFontName') format('svg'); /* Legacy iOS */
}

@font-face {
  font-family: 'zrnic-rg';
  src: url('zrnic-rg.eot'); /* IE9 Compat Modes */
  src: url('zrnic-rg.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('zrnic-rg.woff2') format('woff2'), /* Super Modern Browsers */
       url('zrnic-rg.woff') format('woff'), /* Pretty Modern Browsers */
       url('zrnic-rg.ttf')  format('truetype'), /* Safari, Android, iOS */
       url('zrnic-rg.svg#svgFontName') format('svg'); /* Legacy iOS */
}
@charset "utf-8";


@import "compass/css3";
@import url(https://fonts.googleapis.com/css?family=Cuprum);
@import url(https://fonts.googleapis.com/css?family=zrnic-rg);
@import url('https://fonts.googleapis.com/css?family=Open+Sans:300,400,800');
@import url('https://fonts.googleapis.com/css?family=Oswald:300&display=swap');




/* Global */
* {
  box-sizing: border-box;
}
body{
  color: #090b08;
  margin:  0;
  font-family: 'Oswald', sans-serif;
  font-weight: 200;
  background-color: #f2f2f2;
  min-width: 260px;
}

h1{
  font-size: 1.7em;
  font-weight: 700;
  line-height: 1.5em;
  text-transform: uppercase;
}
h2{
  text-transform: uppercase;
}
a{
  text-decoration: none;
  color: #090b08;
}
ul{
  list-style: none;
}


/* ----------------------- Header yani üst menü  ----------------------  */
header{
  display: flex;
  position: fixed;
  width: 100%;
  justify-content: space-around;
  z-index: 1;
}

/* --------- IE'deki saçma kaymaları bertaraf etmek için ekledim ------------ */
@media all and (-ms-high-contrast: none), (-ms-high-contrast: active) {   
 header{
  display: flex;
  position: fixed;
  width: 115%;
  justify-content: space-around;
  z-index: 1;
  left:-15%;
  overflow:hidden;
}

#header-img{
  position:relative;
  left:25%;
}
}
/*  ------------------------------------------------------------------ */

header:before{
  content: "";
  position: absolute;
  background-color: #f2f2f2;
  width: 100%;
  height: 68%;
  z-index: -1;
  -webkit-box-shadow: 0px 7px 5px 0px rgba(0,0,0,0.22);
  -moz-box-shadow: 0px 7px 5px 0px rgba(0,0,0,0.22);
  box-shadow: 0px 3px 5px 0px rgba(0,0,0,0.22);
}
.nav-brand img{
  width: auto;
  padding-top: 1em;
  height: 7.5em;
}
.toggle-menu{
  display: block;
  font-size: 1.2em;
  align-self: center;
  cursor: pointer;
}
input[type="checkbox"]{
  display: none;
}
input[type="checkbox"]:hover ~ .toggle-menu,
input[type="checkbox"]:checked ~ .toggle-menu
{
  border-bottom: solid 1px #090b08;
}
input[type="checkbox"]:checked ~ .navbar{
  display: flex;
  flex-direction: column;
}
.navbar{
  display: none;
  position: absolute;
  width: 100%;
  height: 100vh;
  background-color: #f2f2f2;
  justify-content: space-evenly;
  align-items: center;
  z-index: -2;
}






.menu{
  display: flex;
  flex-direction: column;
  justify-content: center;
  text-align: center;
  padding: 4em 0 0;
}
a.nav-link{
  margin-right: 0;
}
a.nav-link:hover,
a.nav-link:active,
a.nav-link:focus{
  border-bottom: solid 1.8px #090b08;
}
.menu li{
  margin-top: 3em;
}







/* ---------------  Banner -----------------  */
#banner-container {
    width: 100%;
	display:flex;
	overflow:hidden;
	background-color:#ffc200;
}

.banner-container_left {
    background:url(images/mechanic_1.jpg) no-repeat center top;
	background-size:cover;
	height: 500px;
	width:60%;
	margin-left:0;
	position:relative;
}

.banner-container_right {
	background-color:#ffc200;
	height: 500px;
	width:40%;
	transform: skewX(-30deg); 
	-ms-transform: skewX(-30deg);
	-webkit-transform: skewX(-30deg);
	-o-transform: skewX(-30deg);
	margin-left:-10vw;
	position:relative;
	display: flex;
	flex-direction: column;
    align-items: center;
    justify-content: center;
}

.banner_text1 {
	width: 90%;
	font-size: 1.4em;
	font-weight: normal;
	color:#5a5a5a;
	display: block;
	text-align:left;
	transform: skewX(30deg); 
	-ms-transform: skewX(30deg);
	-webkit-transform: skewX(30deg);
	-o-transform: skewX(30deg);
	margin-left:20vw;
	margin-top:100px;
	font-family: 'zrnic-rg', sans-serif;
    font-weight: 100;	
}

/* ---------------  Banner Bitişi -----------------  */















/* Responsive Style */
@media(min-width: 320px){
  
}
@media(min-width: 576px){
  /*  Global  */
  h1{
    font-size: 2em;
  }  
}

@media(min-width: 769px){
  
  /*  Header  */
  .nav-brand img{
    height: 10em;
  }
  .toggle-menu{
    display: none;
  }
  .navbar{
    display: flex;
    position: relative;
    height: auto;
    width: auto;
    background-color: transparent;
    z-index: 1;
  }
  .menu{
    flex-direction: row;
    padding: 0;
    justify-content: flex-end;	
  }

  .menu li{
    margin-top: 0;
  }
  a.nav-link{
    margin-right: 2.5em;
  }
  
}

@media(max-width: 960px){
a.nav-link{
   margin-right: 1.25em;
}
}


@media(max-width: 768px){
#banner-container {
    width: 100%;
}

.banner-container_left {
    background:url(images/mechanic_1.jpg) no-repeat center top;
	background-size:cover;
	height: 400px;
	width:100%;
	margin-left:0;
	position:absolute;
	top: 0;
}

.banner-container_right {
	background-color:#000;
	opacity:0.7;
	height: 400px;
	width:100%;
	transform: skewX(0deg); 
	-ms-transform: skewX(0deg);
	-webkit-transform: skewX(0deg);
	-o-transform: skewX(0deg);
	margin-left:0;
	position:absolute;
	display: flex;
	flex-direction: column;
    align-items: center;
    justify-content: center;
	top:0;
}

.banner_text1 {
	width: 80%;
	font-size: 1.2em;
	font-weight: normal;
	color:#fff;
	display: block;
	text-align:center;
	transform: skewX(0deg); 
	-ms-transform: skewX(0deg);
	-webkit-transform: skewX(0deg);
	-o-transform: skewX(0deg);
	margin:70px;
	margin-top: 150px;
}
}



